type: google.api.Service
config_version: 3
name: appsmarket.googleapis.com
title: Google Workspace Marketplace API

apis:
- name: ccc.hosted.marketplace.v2.CustomerLicenseService
- name: ccc.hosted.marketplace.v2.LicenseNotificationService
- name: ccc.hosted.marketplace.v2.UserLicenseService

documentation:
  summary: |-
    Lets your Google Workspace Marketplace applications integrate with Google's
    licensing and billing services.

backend:
  rules:
  - selector: ccc.hosted.marketplace.v2.CustomerLicenseService.Get
    deadline: 20.0
  - selector: ccc.hosted.marketplace.v2.LicenseNotificationService.List
    deadline: 20.0
  - selector: ccc.hosted.marketplace.v2.UserLicenseService.Get
    deadline: 20.0

authentication:
  rules:
  - selector: ccc.hosted.marketplace.v2.CustomerLicenseService.Get
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/appsmarketplace.license
  - selector: ccc.hosted.marketplace.v2.LicenseNotificationService.List
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/appsmarketplace.license
  - selector: ccc.hosted.marketplace.v2.UserLicenseService.Get
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/appsmarketplace.license
